import Vue from 'vue'
import Router from 'vue-router'
import Framework from '@/components/Framework'
import Index from '@/components/Index'
Vue.use(Router)
export const constantRoutes = [
  {
    path: '/',
    redirect: '/index',
    hidden: true
  },
  /*  {
    path: '/login',
    component: (resolve) => require(['@/views/login/login.vue'], resolve),
    hidden: true
  },*/
  {
    path: '/',
    component: Framework,
    children: [
      // 重定向到默认子路由 (首页)
      {
        path: '',
        redirect: 'index' // 访问 '/' 时重定向到 '/index'
      },
      {
        path: 'index',
        name: 'Index',
        component: Index
      },
      {
        path: 'businessServices',
        name: 'BusinessServices',
        component: () => import('@/components/BusinessServices') // 懒加载 BusinessServices 组件
      },
      {
        path: 'edutainment',
        name: 'Edutainment',
        component: () => import('@/components/Edutainment') // 懒加载 Edutainment 组件
      },
      {
        path: 'joinUs',
        name: 'JoinUs',
        component: () => import('@/components/JoinUs') // 懒加载 JoinUs 组件
      },
      {
        path: 'About',
        name: 'About',
        component: () => import('@/components/About') // 懒加载 About 组件
      }
      // 默认子路由(首页)
    ]
  }
  /*  {
      path: '/404',
      component: () => import('@/views/404'),
      hidden: true
    }*/
]

/**
 * 有权限的路由
 * 需要动态判断权限并通过 addRoutes 动态添加的页面。
 */
export const asyncRoutes = [
  // 404 page must be placed at the end !!!
  { path: '*', redirect: '/404', hidden: true }
]

const createRouter = () => new Router({
  // mode: 'history', // require service support
  scrollBehavior: () => ({ y: 0 }),
  routes: constantRoutes
})

const router = createRouter()

// Detail see: https://github.com/vuejs/vue-router/issues/1234#issuecomment-357941465
export function resetRouter() {
  const newRouter = createRouter()
  router.matcher = newRouter.matcher // reset router
}

export default router
